# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # US health benefit cards Consumers use health benefit cards, such as Health Savings Account (HSA) and Flexible Spending Account (FSA) cards, to make qualified health-related online purchase payments. Visa and Mastercard support health benefit card transactions. Your J.P. Morgan account profile must be enabled for you to accept health benefit cards. Additional health benefit payment related requirements apply if you are required to register with the Special Interest Group for Inventory Information Approval System (IIAS) Standards (SIGIS). > If you process under an approved medical MCC, no additional requirements are necessary to process health benefit card transactions. Send health benefit card transactions in the same manner as other payment transactions. However, if you process under a non-medical MCC, verify which of the following requirements apply to you: > > > - Registration with SIGIS > > - Registration for health benefit card transactions with the card brands (Mastercard and Visa) > > - Certification of health benefit card transactions with J.P. Morgan > > - Implementation of an IIAS > > - Submission of additional health benefit related fields on transactions > **Additional health benefit transaction request fields for a non-medical MCC** | Field | Required | Description | | --- | --- | --- | | totalHealthcareAmount | Y | Specifies the total monetary value of the qualified health benefit purchase. | | totalVisionAmount | | Specifies the total monetary value of the qualified vision/optical purchase. | | totalClinicAmount | | Specifies the total monetary value of the qualified clinic and other purchases. | | totalDentalAmount | | Specifies the total monetary value of the qualified dental purchase. | | totalPrescriptionAmount | | Specifies the total monetary value of the qualified prescription purchase. | | isIIAS | Y | Indicates the merchant operates an IIAS to calculate the totalHealthcareAmount for the transaction. Required for each transaction to comply with an IIAS. | > Send health benefit card authorizations with support for partial authorizations to allow for approval of an amount less than the requested authorization amount based on the available balance of the HSA/FSA card. For field requirements, refer to [partial authorization support](/docs/commerce/online-payments/capabilities/online-payments/how-to/auth-and-capture-payment#partial-authorization-support). > **Additional health benefit transaction response fields for a non-medical MCC** | Field | Description | | --- | --- | | totalHealthcareAmount | Specifies the approved total monetary value of the qualified health benefit purchase, which could be less than the requested amount if partial authorization is supported. | | totalVisionAmount | Specifies the approved total monetary value of qualified vision/optical purchase, which could be less than the requested amount if partial authorization is supported. | | totalClinicAmount | Specifies the approved total monetary value of qualified clinic and other purchases, which could be less than the requested amount if partial authorization is supported. | | totalDentalAmount | Specifies the approved total monetary value of qualified dental purchase, which could be less than the requested amount if partial authorization is supported. | | totalPrescriptionAmount | Specifies the approved total monetary value of qualified prescription purchase, which could be less than the requested amount if partial authorization is supported. | | isIIAS | Indicates the merchant operates an IIAS to calculate the totalHealthcareAmount for the transaction. The response echoes the value in the request (true or false). | The following is an example of a health benefit card payment request: **HTTP method**: `POST` **Endpoint**: `/payments` ```json { "captureMethod": "NOW", "amount": 10000, "currency": "USD", "statementDescriptor": "statement", "initiatorType": "CARDHOLDER", "accountOnFile": "STORED", "paymentMethodType": { "card": { "accountNumber": "5299999999999990", "expiry": { "month": 5, "year": 2040 }, "cvv": "613" } }, "merchant": { "merchantSoftware": { "companyName": "J.P. Morgan Chase", "productName": "Application name", "version": "1.0" } }, "accountHolder": { "billingAddress": { "line1": "1 NORTHEASTERN BLVD", "line2": "", "city": "BEDFORD", "state": "NH", "postalCode": "03109", "countryCode": "USA" } }, "retailAddenda": { "taxAmount": 100, "isTaxable": true, "purchaseOrderNumber": "1234567890", "orderDate": "2019-09-10", "healthcareData": { "totalHealthcareAmount": 10000, "totalVisionAmount": 0, "totalClinicAmount": 9000, "totalDentalAmount": 0, "totalPrescriptionAmount": 1000, "isIIAS": true } } } ``` **Response:** ```json { "transactionId": "bbac95b6-dec9-49de-b264-33ba8758be07", "requestId": "b625213c-c148-4d0a-b0cb-664753c9f0bc", "transactionState": "CLOSED", "responseStatus": "SUCCESS", "responseCode": "APPROVED", "responseMessage": "Transaction approved by Issuer", "paymentMethodType": { "card": { "cardType": "MC", "cardTypeName": "MASTERCARD", "maskedAccountNumber": "529999XXXXXX9990", "networkResponse": { "addressVerificationResult": "ADDRESS_POSTALCODE_MATCH", "addressVerificationResultCode": "I3", "additionalData": { "electronicCommerceIndicator": "7", "authorizationResponseCategory": "X - Not supported MOP" }, "cardVerificationResult": "MATCH", "cardVerificationResultCode": "M", "networkTransactionId": "FAK5299990313", "paymentAccountReference": "ASG4B48SMC3GDN692I1ZAI12T7F5G", "networkResponseCode": "000" } } }, "captureMethod": "NOW", "captureTime": "2024-03-13T21:10:28.026Z", "initiatorType": "CARDHOLDER", "accountOnFile": "STORED", "isVoid": false, "transactionDate": "2024-03-13T21:10:28.026Z", "approvalCode": "tst452", "hostMessage": "Approved", "amount": 10000, "currency": "USD", "remainingRefundableAmount": 10000, "remainingAuthAmount": 0, "hostReferenceId": "V6AvKG1PV2a1pDgV2bOcS2", "statementDescriptor": "statement", "merchant": { "merchantId": "000017904374", "merchantSoftware": { "companyName": "J.P. Morgan Chase", "productName": "Application name", "version": "1.0" }, "merchantCategoryCode": "5912" }, "retailAddenda": { "purchaseOrderNumber": "1234567890", "orderDate": "2019-09-10", "taxAmount": 100, "isTaxable": true, "healthcareData": { "totalHealthcareAmount": 10000, "totalVisionAmount": 0, "totalClinicAmount": 9000, "totalDentalAmount": 0, "totalPrescriptionAmount": 1000, "isIIAS": true } }, "paymentRequest": { "paymentRequestId": "bbac95b6-dec9-49de-b264-33ba8758be07", "paymentRequestStatus": "CLOSED", "authorizations": [ { "authorizationId": "bbac95b6-dec9-49de-b264-33ba8758be07", "amount": 10000, "transactionStatusCode": "CAPTURED", "authorizationType": "INITIAL" } ], "captures": [ { "captureId": "bbac95b6-dec9-49de-b264-33ba8758be07", "amount": 10000, "transactionStatusCode": "CLOSED", "captureRemainingRefundableAmount": 10000 } ] } } ``` ## Related [Partial authorization support](/docs/commerce/online-payments/capabilities/online-payments/how-to/auth-and-capture-payment#partial-authorization-support)